Skip to main content
POST
/
api
/
svc
/
v1
/
role-bindings
/
inline
Create inline role bindings
curl --request POST \
  --url https://{controlPlaneURL}/api/svc/v1/role-bindings/inline \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "roleBindings": [
    {
      "resourceType": "workspace",
      "resourceFqn": "<string>",
      "subjectFqn": "user:alice@example.com",
      "role": "workspace-editor"
    }
  ]
}
'
{
  "data": [
    {
      "name": "<string>",
      "accountId": "<string>",
      "manifest": {
        "type": "role-binding",
        "name": "<string>",
        "subjects": [
          {
            "name": "<string>"
          }
        ],
        "permissions": [
          {
            "resourceType": "<string>",
            "resourceFqn": "<string>",
            "role": "<string>"
          }
        ]
      },
      "createdBySubject": {
        "subjectId": "<string>",
        "subjectSlug": "<string>",
        "subjectDisplayName": "<string>",
        "subjectPatName": "<string>",
        "subjectControllerName": "<string>",
        "subjectExternalIdentitySlug": "<string>"
      },
      "id": "<string>",
      "metadata": {},
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
roleBindings
InlineRoleBindingItemDto · object[]
required

List of inline role binding items. Each item produces one role binding.

Minimum array length: 1

Response

200 - application/json

List of created role bindings.

data
RoleBinding · object[]
required

List of created role bindings.